# Class SendChangeDbPacket

java.lang.Object
org.mariadb.jdbc.internal.com.send.SendChangeDbPacket

public class SendChangeDbPacket extends Object

## Constructor Summary

Constructors
Constructor
Description
`SendChangeDbPacket()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`send(PacketOutputStream pos, String database)`
Send a COM_INIT_DB request to specify the default schema for the connection.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SendChangeDbPacket

public SendChangeDbPacket()

## Method Details

### send

public static void send(PacketOutputStream pos, String database) throws IOException
Send a COM_INIT_DB request to specify the default schema for the connection.

Parameters:
  `pos` - Write outputStream
  `database` - database name
Throws:
  `IOException` - if connection problem occur